petsc-3.6.2 2015-10-02
Report Typos and Errors

# TSView

Prints the TS data structure.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSView(TS ts,PetscViewer viewer)

Collective on TS

### Input Parameters

| ts | - the TS context obtained from TSCreate()
| viewer | - visualization context

### Options Database Key

-ts_view -calls TSView() at end of TSStep()

### Notes

The available visualization contexts include

| PETSC_VIEWER_STDOUT_SELF | - standard output (default)
| PETSC_VIEWER_STDOUT_WORLD | - synchronized standard output where only the first processor opens the file. All other processors send their data to the first processor to print.

The user can open an alternative visualization context with PetscViewerASCIIOpen() - output to a specified file.

### Keywords

TS, timestep, view

### See Also

PetscViewerASCIIOpen()

Level:beginner
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex3.c.html
src/ts/examples/tutorials/ex5.c.html
src/ts/examples/tutorials/ex6.c.html
src/ts/examples/tutorials/ex28.c.html
src/ts/examples/tutorials/ex28.c.html